From 4551fc508ffa1f68b32418c647ba17de0141d21f Mon Sep 17 00:00:00 2001
From: Matheus Bernardo <matheussber@aluno.unb.br>
Date: Jun 11 2018 19:47:27 +0000
Subject: [PATCH 13/42] Removing magic number on config of API_URL


---

diff --git a/config/dev.env.js b/config/dev.env.js
index efead7c..3e2c7a8 100644
--- a/config/dev.env.js
+++ b/config/dev.env.js
@@ -2,5 +2,6 @@ var merge = require('webpack-merge')
 var prodEnv = require('./prod.env')
 
 module.exports = merge(prodEnv, {
-  NODE_ENV: '"development"'
+  NODE_ENV: '"development"',
+  BASE_URL: '"http://localhost:5000"'
 })
diff --git a/config/prod.env.js b/config/prod.env.js
index 773d263..0db222a 100644
--- a/config/prod.env.js
+++ b/config/prod.env.js
@@ -1,3 +1,5 @@
 module.exports = {
-  NODE_ENV: '"production"'
+  NODE_ENV: '"production"',
+  BASE_URL: '"http://localhost:5000"'
+
 }
diff --git a/config/test.env.js b/config/test.env.js
index 89f90de..66e63c2 100644
--- a/config/test.env.js
+++ b/config/test.env.js
@@ -2,5 +2,6 @@ var merge = require('webpack-merge')
 var devEnv = require('./dev.env')
 
 module.exports = merge(devEnv, {
-  NODE_ENV: '"testing"'
+  NODE_ENV: '"testing"',
+  BASE_URL: '"http://localhost:5000"'
 })
diff --git a/src/api/index.js b/src/api/index.js
index c71f91d..8b733a1 100644
--- a/src/api/index.js
+++ b/src/api/index.js
@@ -1,7 +1,9 @@
 import axios from 'axios'
 
+console.log(process.env)
+
 let axiosApi = axios.create({
-  baseURL: 'http://localhost:5000',
+  baseURL: process.env.BASE_URL,
   timeout: 3000
 })
 

